<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.16 build 0813.1608
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Source\Provider\Rss\Type;

use ZOOlanders\YOOessentials\Source\Provider\Xml\Type\XmlImageType;
use ZOOlanders\YOOessentials\Util;

class RssImageType extends XmlImageType
{
    public const NAME = 'RSSImage';

    public function name(): string
    {
        return self::NAME;
    }

    public static function url($image): string
    {
        $url = $image['url'] ?? '';
        $cacheKey = 'rss-image-' . sha1($url);

        return Util\File::cacheMedia($url, $cacheKey);
    }
}
